image: docker

services:
  - docker:dind

variables:
  DOCKER_DRIVER: overlay
  IMAGE_TAG: $CI_REGISTRY_IMAGE:$CI_BUILD_REF_NAME

stages:
  - build

build:
  stage: build
  script:
    - docker build -f Dockerfile -t $IMAGE_TAG .
    - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN $CI_REGISTRY
    - docker push $IMAGE_TAG
  only:
  - tags